package org.ntlab.radishforandroidstudio.framework.RWT;

import android.content.Context;
import android.support.annotation.Nullable;
import android.util.AttributeSet;
import android.view.MotionEvent;

import org.ntlab.radishforandroidstudio.framework.listener.PadListener;
import org.ntlab.radishforandroidstudio.framework.subject.PadSubject;

public class RWTCameraController extends RWTView {
    public RWTCameraController(Context context) {
        super(context);
    }

    public RWTCameraController(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
    }

    public RWTCameraController(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {


        return true;
    }

    public void addListener(PadListener listener) {
        PadSubject.getInstance().addListener(listener);
    }
}
